{"openapi":"3.1.0","info":{"title":"Runflow API","version":"0.1.0"},"paths":{"/v1/admin/audit-logs":{"get":{"tags":["admin"],"summary":"Search audit logs","description":"List audit logs with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_audit_logs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated audit log list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__audit_log__AuditLog__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/audit-logs/{id}":{"get":{"tags":["admin"],"summary":"Get audit log","description":"Retrieve a single audit log by ID.","operationId":"get_item_v1_admin_audit_logs__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"200":{"description":"The requested audit log.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__audit_log__AuditLog__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/credit-transactions":{"get":{"tags":["admin"],"summary":"Search credit transactions","description":"List credit transactions with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_credit_transactions_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"created_by_user"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated credit transaction list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__billing__CreditTransaction__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/credit-transactions/{id}":{"get":{"tags":["admin"],"summary":"Get credit transaction","description":"Retrieve a single credit transaction by ID.","operationId":"get_item_v1_admin_credit_transactions__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"created_by_user"}}}],"responses":{"200":{"description":"The requested credit transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__billing__CreditTransaction__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/evaluation-candidate-runs":{"get":{"tags":["admin"],"summary":"List runs ready for Sentinel evaluation","description":"Returns runs matching the candidate predicate Sentinel's cron uses to pick work. Default: succeeded runs with no non-superseded evaluation. Supports `q=` filtering, `sort_by=`, `fields=`, and cursor pagination via `pq`/`from_prev`.","operationId":"list_evaluation_candidate_runs_v1_admin_evaluation_candidate_runs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"status_code","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Run status_code to filter on (default: 'succeeded'). Pass empty to disable.","default":"succeeded","title":"Status Code"},"description":"Run status_code to filter on (default: 'succeeded'). Pass empty to disable."},{"name":"missing_evaluation","in":"query","required":false,"schema":{"type":"boolean","description":"When true (default), skip runs that already have a non-superseded evaluation. Naive run-level NOT EXISTS — undercounts multi-image runs; see the plan.","default":true,"title":"Missing Evaluation"},"description":"When true (default), skip runs that already have a non-superseded evaluation. Naive run-level NOT EXISTS — undercounts multi-image runs; see the plan."},{"name":"refresh_signature","in":"query","required":false,"schema":{"type":"boolean","description":"When true, re-sign URLs found in input/output/run_metadata that belong to the configured storage bucket. External URLs are left unchanged. Requires storage to be configured.","default":false,"title":"Refresh Signature"},"description":"When true, re-sign URLs found in input/output/run_metadata that belong to the configured storage bucket. External URLs are left unchanged. Requires storage to be configured."},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/queries__evaluation_candidates__EvaluationCandidateQuery__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Storage service unavailable when refreshing signatures","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/evaluation-ingestions":{"post":{"tags":["admin"],"summary":"Ingest a Sentinel evaluation","description":"Create an *evaluation-ingestion* — idempotent upsert of a Sentinel-submitted evaluation keyed by `sentinel_eval_id`. The response body is the resulting evaluation aggregate. Platform admins only (internal-user JWT or `rf_svc_*` service API key). Platform-wide — the referenced `run_id` is the single trusted source of `org_id` and the target snapshot; no `X-Organization-Id` is required.","operationId":"ingest_evaluation_v1_admin_evaluation_ingestions_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__evaluation__Evaluation__CreateValidator"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__evaluation__Evaluation__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict — admin write rejected on a state invariant; inspect ``errors[0].type`` for the specific case (for example: ``self_action_forbidden``, ``already_disabled``, ``not_disabled``, ``last_internal_admin``, ``value_error``)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/admin/invoices":{"get":{"tags":["admin"],"summary":"Search invoices","description":"List invoices with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_invoices_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: lines. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: lines. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"lines"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated invoice list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__billing__Invoice__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/invoices/{id}":{"get":{"tags":["admin"],"summary":"Get invoice","description":"Retrieve a single invoice by ID.","operationId":"get_item_v1_admin_invoices__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: lines. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: lines. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"lines"}}}],"responses":{"200":{"description":"The requested invoice.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__billing__Invoice__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-creators":{"get":{"tags":["admin"],"summary":"Search model creators","description":"List model creators with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_model_creators_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"models"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model creator list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin"],"summary":"Create model creator","description":"Create a new model creator.","operationId":"create_item_v1_admin_model_creators_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__CreateValidator"}}}},"responses":{"201":{"description":"The created model creator.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-creators/{id}":{"get":{"tags":["admin"],"summary":"Get model creator","description":"Retrieve a single model creator by ID.","operationId":"get_item_v1_admin_model_creators__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"models"}}}],"responses":{"200":{"description":"The requested model creator.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin"],"summary":"Partial update model creator","description":"Partial update (PATCH) of a model creator.","operationId":"merge_item_v1_admin_model_creators__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__MergeValidator"}}}},"responses":{"200":{"description":"The updated model creator.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelCreator__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin"],"summary":"Delete model creator","description":"Soft-delete a model creator by ID.","operationId":"delete_item_v1_admin_model_creators__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-families":{"get":{"tags":["admin"],"summary":"Search model families","description":"List model families with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_model_families_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"models"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model family list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin"],"summary":"Create model family","description":"Create a new model family.","operationId":"create_item_v1_admin_model_families_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__CreateValidator"}}}},"responses":{"201":{"description":"The created model family.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-families/{id}":{"get":{"tags":["admin"],"summary":"Get model family","description":"Retrieve a single model family by ID.","operationId":"get_item_v1_admin_model_families__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: models. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"models"}}}],"responses":{"200":{"description":"The requested model family.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin"],"summary":"Partial update model family","description":"Partial update (PATCH) of a model family.","operationId":"merge_item_v1_admin_model_families__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__MergeValidator"}}}},"responses":{"200":{"description":"The updated model family.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelFamily__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin"],"summary":"Delete model family","description":"Soft-delete a model family by ID.","operationId":"delete_item_v1_admin_model_families__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-providers":{"get":{"tags":["admin"],"summary":"Search model providers","description":"List model providers with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_model_providers_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: provider_links. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: provider_links. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"provider_links"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model provider list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin"],"summary":"Create model provider","description":"Create a new model provider.","operationId":"create_item_v1_admin_model_providers_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__CreateValidator"}}}},"responses":{"201":{"description":"The created model provider.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/model-providers/{id}":{"get":{"tags":["admin"],"summary":"Get model provider","description":"Retrieve a single model provider by ID.","operationId":"get_item_v1_admin_model_providers__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: provider_links. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: provider_links. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"provider_links"}}}],"responses":{"200":{"description":"The requested model provider.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin"],"summary":"Partial update model provider","description":"Partial update (PATCH) of a model provider.","operationId":"merge_item_v1_admin_model_providers__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__MergeValidator"}}}},"responses":{"200":{"description":"The updated model provider.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_provider__ModelProvider__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin"],"summary":"Delete model provider","description":"Soft-delete a model provider by ID.","operationId":"delete_item_v1_admin_model_providers__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models":{"get":{"tags":["admin"],"summary":"Search models","description":"List models with filtering, sorting, and pagination.","operationId":"list_items_v1_admin_models_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: examples, faq_entries, inputs, outputs, pricing, related_links. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: examples, faq_entries, inputs, outputs, pricing, related_links. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"examples"},"multiple":{"summary":"Multiple embeds","value":"examples,faq_entries"}}},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin"],"summary":"Create model","description":"Create a new model. Supports nested creation of: inputs, outputs.","operationId":"create_item_v1_admin_models_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__CreateValidator"}}}},"responses":{"201":{"description":"The created model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/categories":{"get":{"tags":["admin"],"summary":"List Model Categories","description":"Return all Model Category reference records with optional filtering and sorting.","operationId":"list_reference_v1_admin_models_categories_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Search filter (ANTLR syntax)","title":"Q"},"description":"Search filter (ANTLR syntax)"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. 'name:asc')","title":"Sort By"},"description":"Sort expression (e.g. 'name:asc')"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection","title":"Fields"},"description":"Field projection"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Previous-page query","title":"Pq"},"description":"Previous-page query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated list of Model Category records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResponse_ModelCategoryReferenceFullValidator_"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/categories/{code}":{"get":{"tags":["admin"],"summary":"Get Model Category","description":"Return a single Model Category record by its primary key.","operationId":"_get_detail_v1_admin_models_categories__code__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string","title":"Code"}}],"responses":{"200":{"description":"Model Category record","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelCategoryReferenceFullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/example-categories":{"get":{"tags":["admin"],"summary":"List Model Example Categories","description":"Return all Model Example Category reference records with optional filtering and sorting.","operationId":"list_reference_v1_admin_models_example_categories_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Search filter (ANTLR syntax)","title":"Q"},"description":"Search filter (ANTLR syntax)"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. 'name:asc')","title":"Sort By"},"description":"Sort expression (e.g. 'name:asc')"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection","title":"Fields"},"description":"Field projection"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Previous-page query","title":"Pq"},"description":"Previous-page query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated list of Model Example Category records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResponse_ModelExampleCategoryReferenceFullValidator_"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/example-categories/{code}":{"get":{"tags":["admin"],"summary":"Get Model Example Category","description":"Return a single Model Example Category record by its primary key.","operationId":"_get_detail_v1_admin_models_example_categories__code__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string","title":"Code"}}],"responses":{"200":{"description":"Model Example Category record","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelExampleCategoryReferenceFullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/family-variants":{"get":{"tags":["admin"],"summary":"List Model Family Variants","description":"Return all Model Family Variant reference records with optional filtering and sorting.","operationId":"list_reference_v1_admin_models_family_variants_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Search filter (ANTLR syntax)","title":"Q"},"description":"Search filter (ANTLR syntax)"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. 'name:asc')","title":"Sort By"},"description":"Sort expression (e.g. 'name:asc')"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection","title":"Fields"},"description":"Field projection"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Previous-page query","title":"Pq"},"description":"Previous-page query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated list of Model Family Variant records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResponse_ModelFamilyVariantReferenceFullValidator_"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/family-variants/{code}":{"get":{"tags":["admin"],"summary":"Get Model Family Variant","description":"Return a single Model Family Variant record by its primary key.","operationId":"_get_detail_v1_admin_models_family_variants__code__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string","title":"Code"}}],"responses":{"200":{"description":"Model Family Variant record","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelFamilyVariantReferenceFullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/statuses":{"get":{"tags":["admin"],"summary":"List Model Statuses","description":"Return all Model Status reference records with optional filtering and sorting.","operationId":"list_reference_v1_admin_models_statuses_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Search filter (ANTLR syntax)","title":"Q"},"description":"Search filter (ANTLR syntax)"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. 'name:asc')","title":"Sort By"},"description":"Sort expression (e.g. 'name:asc')"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection","title":"Fields"},"description":"Field projection"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Previous-page query","title":"Pq"},"description":"Previous-page query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated list of Model Status records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResponse_ModelStatusReferenceFullValidator_"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/statuses/{code}":{"get":{"tags":["admin"],"summary":"Get Model Status","description":"Return a single Model Status record by its primary key.","operationId":"_get_detail_v1_admin_models_statuses__code__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string","title":"Code"}}],"responses":{"200":{"description":"Model Status record","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelStatusReferenceFullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{id}":{"get":{"tags":["admin"],"summary":"Get model","description":"Retrieve a single model by ID.","operationId":"get_item_v1_admin_models__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"embed","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Relation embedding. Available values: examples, faq_entries, inputs, outputs, pricing, related_links. Use a comma-separated list to request multiple embeds.","title":"Embed"},"description":"Relation embedding. Available values: examples, faq_entries, inputs, outputs, pricing, related_links. Use a comma-separated list to request multiple embeds.","examples":{"single":{"summary":"Single embed","value":"examples"},"multiple":{"summary":"Multiple embeds","value":"examples,faq_entries"}}}],"responses":{"200":{"description":"The requested model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Permission denied (PERMISSION_DENIED) or email not verified (EMAIL_NOT_VERIFIED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin"],"summary":"Partial update model","description":"Partial update (PATCH) of a model.","operationId":"merge_item_v1_admin_models__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__MergeValidator"}}}},"responses":{"200":{"description":"The updated model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__Model__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin"],"summary":"Delete model","description":"Soft-delete a model by ID.","operationId":"delete_item_v1_admin_models__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/examples":{"get":{"tags":["admin","admin"],"summary":"Search model examples","description":"List model examples with filtering, sorting, and pagination.","operationId":"list_examples_v1_admin_models__model_id__examples_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model example list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin","admin"],"summary":"Create model example","description":"Create a new model example.","operationId":"create_example_v1_admin_models__model_id__examples_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__CreateValidator"}}}},"responses":{"201":{"description":"The created model example.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/examples/{id}":{"get":{"tags":["admin","admin"],"summary":"Get model example","description":"Retrieve a single model example by ID.","operationId":"get_example_v1_admin_models__model_id__examples__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"200":{"description":"The requested model example.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin","admin"],"summary":"Partial update model example","description":"Partial update (PATCH) of a model example.","operationId":"merge_example_v1_admin_models__model_id__examples__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__MergeValidator"}}}},"responses":{"200":{"description":"The updated model example.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelExample__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin","admin"],"summary":"Delete model example","description":"Delete a model example by ID.","operationId":"delete_example_v1_admin_models__model_id__examples__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/faq-entries":{"get":{"tags":["admin","admin"],"summary":"Search model faq entries","description":"List model faq entries with filtering, sorting, and pagination.","operationId":"list_faq_entries_v1_admin_models__model_id__faq_entries_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model faq entry list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin","admin"],"summary":"Create model faq entry","description":"Create a new model faq entry.","operationId":"create_faq_entry_v1_admin_models__model_id__faq_entries_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__CreateValidator"}}}},"responses":{"201":{"description":"The created model faq entry.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/faq-entries/{id}":{"get":{"tags":["admin","admin"],"summary":"Get model faq entry","description":"Retrieve a single model faq entry by ID.","operationId":"get_faq_entry_v1_admin_models__model_id__faq_entries__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"200":{"description":"The requested model faq entry.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin","admin"],"summary":"Partial update model faq entry","description":"Partial update (PATCH) of a model faq entry.","operationId":"merge_faq_entry_v1_admin_models__model_id__faq_entries__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__MergeValidator"}}}},"responses":{"200":{"description":"The updated model faq entry.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelFaqEntry__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin","admin"],"summary":"Delete model faq entry","description":"Delete a model faq entry by ID.","operationId":"delete_faq_entry_v1_admin_models__model_id__faq_entries__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/inputs":{"get":{"tags":["admin","admin"],"summary":"Search model inputs","description":"List model inputs with filtering, sorting, and pagination.","operationId":"list_inputs_v1_admin_models__model_id__inputs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model input list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin","admin"],"summary":"Create model input","description":"Create a new model input.","operationId":"create_input_v1_admin_models__model_id__inputs_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__CreateValidator"}}}},"responses":{"201":{"description":"The created model input.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/inputs/{id}":{"get":{"tags":["admin","admin"],"summary":"Get model input","description":"Retrieve a single model input by ID.","operationId":"get_input_v1_admin_models__model_id__inputs__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"200":{"description":"The requested model input.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin","admin"],"summary":"Partial update model input","description":"Partial update (PATCH) of a model input.","operationId":"merge_input_v1_admin_models__model_id__inputs__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__MergeValidator"}}}},"responses":{"200":{"description":"The updated model input.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelInput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin","admin"],"summary":"Delete model input","description":"Delete a model input by ID.","operationId":"delete_input_v1_admin_models__model_id__inputs__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/outputs":{"get":{"tags":["admin","admin"],"summary":"Search model outputs","description":"List model outputs with filtering, sorting, and pagination.","operationId":"list_outputs_v1_admin_models__model_id__outputs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model output list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"tags":["admin","admin"],"summary":"Create model output","description":"Create a new model output.","operationId":"create_output_v1_admin_models__model_id__outputs_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__CreateValidator"}}}},"responses":{"201":{"description":"The created model output.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/outputs/{id}":{"get":{"tags":["admin","admin"],"summary":"Get model output","description":"Retrieve a single model output by ID.","operationId":"get_output_v1_admin_models__model_id__outputs__id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"200":{"description":"The requested model output.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"tags":["admin","admin"],"summary":"Partial update model output","description":"Partial update (PATCH) of a model output.","operationId":"merge_output_v1_admin_models__model_id__outputs__id__patch","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__MergeValidator"}}}},"responses":{"200":{"description":"The updated model output.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model__ModelOutput__FullValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"tags":["admin","admin"],"summary":"Delete model output","description":"Delete a model output by ID.","operationId":"delete_output_v1_admin_models__model_id__outputs__id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"}],"responses":{"204":{"description":"No content."},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden — inspect response body `code` for the specific reason (for example: PERMISSION_DENIED, EMAIL_NOT_VERIFIED, ORGANIZATION_MEMBERSHIP_REQUIRED, ROLE_UNRESOLVED, IMPERSONATION_READ_ONLY)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/v1/admin/models/{model_id}/pricing":{"get":{"tags":["admin","admin"],"summary":"Search model customer pricings","description":"List model customer pricings with filtering, sorting, and pagination.","operationId":"list_pricing_v1_admin_models__model_id__pricing_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"model_id","in":"path","required":true,"schema":{"type":"string","description":"Model ID","title":"Model Id"},"description":"Model ID"},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ANTLR filter expression","title":"Q"},"description":"ANTLR filter expression"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":500,"minimum":1},{"type":"null"}],"description":"Page size","title":"Limit"},"description":"Page size"},{"name":"sort_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Sort expression (e.g. created_at:desc)","title":"Sort By"},"description":"Sort expression (e.g. created_at:desc)"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Field projection (e.g. id,name)","title":"Fields"},"description":"Field projection (e.g. id,name)"},{"name":"pq","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination cursor query","title":"Pq"},"description":"Pagination cursor query"},{"name":"from_prev","in":"query","required":false,"schema":{"type":"boolean","description":"Backward pagination flag","default":false,"title":"From Prev"},"description":"Backward pagination flag"}],"responses":{"200":{"description":"Paginated model customer pricing list.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models__model_content__ModelCustomerPricing__SearchValidator"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/sc
[...]
